Page MenuHomePhabricator

Decide what to show when user is viewing an old version of a talk page
Closed, ResolvedPublic

Description

For example, we could display an error when the users tries to load a reply widget.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 17 2019, 12:45 PM

I say we should try to find the comment they were trying to reply to in the latest version of the page (by user/timestamp), then reload the page contents and proceed as normal if we find it, or tell the user that the discussion they're trying to reply to was archived if we don't find it.

That was actually my idea for handling edit conflicts (or more generally, edits being made while a user is typing a reply, even if they don't conflict) – where we should also say "Someone commented since you started editing" and give them an option to show the new comments (or actually, reload the whole page and find the comment, which is the same but way easier).

Alsee added a subscriber: Alsee.Nov 22 2019, 9:12 AM

I'd suggest converting reply-links into non-links, and add strikethrough to indicate they are inactive. (Even better, check the history date and don't show reply-links at all if it's before reply-links were deployed.)

While there may be occasional times it would be plausible and convenient to reply from the history view, it's obviously not something you can expect to work in general. I don't think anyone would be surprised that you need to go to the live page to reply.

Change 572400 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/DiscussionTools@master] When launched from an old revision, reply to latest revision

https://gerrit.wikimedia.org/r/572400

Change 572400 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] When launched from an old revision, reply to latest revision

https://gerrit.wikimedia.org/r/572400

JTannerWMF moved this task from Inbox to High Priority on the Editing QA board.Mar 11 2020, 10:34 AM
Ryasmeen removed a project: Editing QA.EditedMar 17 2020, 8:19 PM
Ryasmeen added a subscriber: Ryasmeen.

Could you add test steps or an example page to test this.

I checked the following page as I understand from the task title it seems not fixed:

The intended behavior now is that when viewing an old revision of the page (there is an "oldid=" parameter in the URL), the reply buttons appear, and saving a reply will add it to the current version of the page. (When we filed this task, saving a reply would undo revisions newer than the one being viewed.)

This doesn't affect archive pages, like in your screenshot, in any way. They behave like any other normal talk page.

ppelberg closed this task as Resolved.May 1 2020, 1:09 AM
ppelberg claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 1 2020, 1:09 AM